%define upstream_name   Package-Generator
%define upstream_version 1.105
%define release    %mkrel 2

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    pseudo-garbage-collection for packages
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module allows you to create simple objects which, when destroyed,
delete a given package. This lets you approximate lexically scoped
packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Package

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.105-2.mga4
+ Revision: 529203
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 sander85 <sander85> 1.105-1.mga4
+ Revision: 450953
- update to 1.105

* Sun Jan 13 2013 umeabot <umeabot> 0.103-2.mga3
+ Revision: 371345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.103-1.mga1
+ Revision: 32300
- mageia rebuild
- imported package perl-Package-Generator


* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.103-1mdv2010.0
+ Revision: 394088
- update to new version 0.103

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.102-2mdv2009.0
+ Revision: 268705
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2009.0
+ Revision: 213827
- import perl-Package-Generator


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.102-1mdv2009.0
- first mdv release
